Subject: bug#12001: 24.1.50; vc-diff always talks to CVS repository

From: Glenn Morris <[email-masked]>
Date: Tue, 21 Aug 2012 23:13:06 -0400

Eli Zaretskii wrote:

>> Repository checkout (format: 2a)
>> Location:
>>   repository checkout root: .
>>         checkout of branch: bzr+ssh://[email-masked]/emacs/trunk/
>>          shared repository: /home/rms/emacs-bzr
>
> That's indeed a checkout that lacks local history.

?
No it isn't. That seems fine to me. It's the same as I use.

With the current trunk in such a repo, and no net connection, I did:

  ./src/emacs -Q --eval '(setq vc-command-messages t)' README &

Then made some changes to README, saved, and typed C-x v =.
*Messages* tells me that this runs:

  bzr diff --diff-options -c README

It works fine and shows me the diff, with no net connection.

rms, what happens if you try that?
What command does Emacs say it runs?
What happens if you type that same command at the shell outside of Emacs?

If it doesn't work outside of Emacs, this is not an Emacs issue.

(I don't even know how you make such a command contact the repository.
There's nothing for Emacs to "support" here, it's just how bzr works.)